<template>
    <div>
        <v-dialog
            v-model="isOpen"
            max-width="600px"
        >
            <v-card>
                <v-card-title>
                    <span class="headline">Add address to wallet</span>
                </v-card-title>
                <v-card-text>
                    <v-container>
                        
                        <v-row>
                            <v-col
                                cols="12"
                                sm="6"
                                md="4"
                            >
                                <v-text-field
                                    label="Address name"
                                    v-model="createModalForm.name"
                                    required
                                ></v-text-field>
                            </v-col>
                        </v-row>
                    </v-container>
                    <!-- <small>*indicates required field</small> -->
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="isOpen = false"
                    >
                        Close
                    </v-btn>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="submitAddressHanlder()"
                    >
                        Submit
                    </v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </div>
</template>
<script>
export default {
    props: ['isOpen'],
    data: () => ({
        createModalForm: {
            name: ''
        },
        valid: true
    }),
    methods: {
        async submitAddressHanlder() {
            if (!this.createModalForm.name)
                return alert('Not all fields are filled')
            console.log(this.createModalForm.name)
            await this.$store.dispatch('addAddress', {
                walletName: this.$route.params.name,
                addressName: this.createModalForm.name
            })
            this.$emit("close-modal")
        }
    }
}
</script>